#!/bin/sh

# shlibs is Copyright (C) 2020 Nicolae Iotu, nicolae.g.iotu@gmail.com
# https://shlibs.org, https://shlibs.net
# License: Apache-2.0 modified with Convergence Terms (LICENSE-section 10)
# "Use for free. Contribute rather than diverge."

# Author Nicolae Iotu, nicolae.g.iotu@gmail.com

# TAGS: PORTABLE

_nl=$(printf '%b' '\n\r')
IRS=$(printf '\036')
SHLIBS_VERSION=1.4.39
SHLIBS_RELEASE=5
SHLIBS_REQUESTS='contact@shlibs.net'
export _nl IRS SHLIBS_VERSION SHLIBS_RELEASE SHLIBS_REQUESTS
su_cleanup_tmp() {
	if find "./var/tmp"	 -depth -mtime +1 -a ! -name 'tmp' \
			-exec rm -rf "{}" ";" ; then :
	else
		s_err 'Non-critical: Cleaning up of tmp failed.'
		return 1
	fi
}
su_cleanup_tmp_onexit() {
	su_cleanup_tmp
	"${shlibs_dirpath}"/shlibs dir001 "./var/tmp/${shlibs_session:?}" &
	wait
	echo ' '
	exit
}
